/*
 * PanelIniciarSesion.java
 *
 * Created on 5 de mayo de 2008, 11:32
 */

package org.casino.gui.comun;

import javax.swing.event.DocumentEvent;
import javax.swing.event.DocumentListener;

/**
 *
 * @author  xaelvil
 */
public class PanelIniciarSesion extends javax.swing.JPanel {
    private String nombre;
    private String password;
    private boolean anonimo;
    
    private class DocumentListenerTextos implements DocumentListener
    {

        public void insertUpdate(DocumentEvent e) {
            actualizarEstadoBotonInicio();
        }

        public void removeUpdate(DocumentEvent e) {
            actualizarEstadoBotonInicio();
        }

        public void changedUpdate(DocumentEvent e) {
            actualizarEstadoBotonInicio();
        }
        
    }
    private DocumentListenerTextos listenerTextos = new DocumentListenerTextos();
    /** Creates new form PanelIniciarSesion */
    public PanelIniciarSesion() {
        initComponents();
        mensajeEstado.setVisible(false);
        nombreUsuario.getDocument().addDocumentListener(listenerTextos);
        passwordUsuario.getDocument().addDocumentListener(listenerTextos);
    }

    public boolean isAnonimo() {
        return anonimo;
    }

    public String getNombre() {
        return nombre;
    }

    public String getPassword() {
        return password;
    }
    
    
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        etiquetaPassword = new javax.swing.JLabel();
        etiquetaUsuario = new javax.swing.JLabel();
        passwordUsuario = new javax.swing.JPasswordField();
        nombreUsuario = new javax.swing.JTextField();
        botonIniciarSesion = new javax.swing.JButton();
        mensajeEstado = new javax.swing.JLabel();
        inicioSesionAnonimo = new javax.swing.JCheckBox();

        etiquetaPassword.setText("Clave");

        etiquetaUsuario.setText("Usuario");

        nombreUsuario.setName(""); // NOI18N

        botonIniciarSesion.setEnabled(false);
        botonIniciarSesion.setLabel("Iniciar Sesión");
        botonIniciarSesion.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                botonIniciarSesionActionPerformed(evt);
            }
        });

        mensajeEstado.setForeground(new java.awt.Color(0, 51, 204));
        mensajeEstado.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        mensajeEstado.setText("Iniciando sesión...");

        inicioSesionAnonimo.setText("Usuario anonimo");
        inicioSesionAnonimo.setHorizontalAlignment(javax.swing.SwingConstants.TRAILING);
        inicioSesionAnonimo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                inicioSesionAnonimoActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .addContainerGap()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, etiquetaPassword, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, etiquetaUsuario, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(passwordUsuario, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 301, Short.MAX_VALUE)
                            .add(nombreUsuario, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 301, Short.MAX_VALUE)))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(50, 50, 50)
                        .add(botonIniciarSesion, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 273, Short.MAX_VALUE)
                        .add(38, 38, 38))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .addContainerGap()
                        .add(mensajeEstado, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 355, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .addContainerGap()
                        .add(inicioSesionAnonimo, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 355, Short.MAX_VALUE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(26, 26, 26)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(etiquetaUsuario)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(etiquetaPassword))
                    .add(layout.createSequentialGroup()
                        .add(nombreUsuario, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(passwordUsuario, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(inicioSesionAnonimo)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(botonIniciarSesion)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(mensajeEstado, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(29, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void botonIniciarSesionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_botonIniciarSesionActionPerformed
        mensajeEstado.setText("Iniciando sesión...");
        mensajeEstado.setVisible(true);
    }//GEN-LAST:event_botonIniciarSesionActionPerformed
    private void actualizarEstadoBotonInicio()
    {
        botonIniciarSesion.setEnabled(nombreUsuario.getText().length() >0 && passwordUsuario.getPassword().length > 0);
    }
private void inicioSesionAnonimoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_inicioSesionAnonimoActionPerformed
    boolean enabled = inicioSesionAnonimo.isSelected();
    nombreUsuario.setEnabled(!enabled);
    passwordUsuario.setEnabled(!enabled);
    botonIniciarSesion.setEnabled(enabled || (nombreUsuario.getText().length() >0 && passwordUsuario.getPassword().length > 0));
}//GEN-LAST:event_inicioSesionAnonimoActionPerformed
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton botonIniciarSesion;
    private javax.swing.JLabel etiquetaPassword;
    private javax.swing.JLabel etiquetaUsuario;
    private javax.swing.JCheckBox inicioSesionAnonimo;
    private javax.swing.JLabel mensajeEstado;
    private javax.swing.JTextField nombreUsuario;
    private javax.swing.JPasswordField passwordUsuario;
    // End of variables declaration//GEN-END:variables
    
}
